Your ROOT_URL in app.ini is https://git.bwnetwork.us/ but you are visiting http://git.bwnetwork.us/Administrator/Proxmox_Helper_scripts/commit/1a8a13423cb21ad37fd4a9fc17e274e7377add35?style=unified&whitespace=ignore-all
You should set ROOT_URL correctly, otherwise the web may not work correctly.
77 changed files with
231 additions and
154 deletions
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -14,7 +15,7 @@ CROSS="${RD}✗${CL}"
BFR = "\\r\\033[K"
HOLD = "-"
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
export DEBIAN_FRONTEND = noninteractive
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
AVX = $( grep -o -m1 'avx[^ ]*' /proc/cpuinfo)
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
export DEBIAN_FRONTEND = noninteractive
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,7 +1,8 @@
#!/usr/bin/env bash
export DEBIAN_FRONTEND = noninteractive
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
#https://community.ui.com/questions/UniFi-Installation-Scripts-or-UniFi-Easy-Update-Script-or-UniFi-Lets-Encrypt-or-UniFi-Easy-Encrypt-/ccbc7530-dd61-40a7-82ec-22b17f027776
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."
@ -1,6 +1,7 @@
#!/usr/bin/env bash
silent( ) { " $@ " > /dev/null 2>& 1; }
if [ " $VERBOSE " = = "yes" ] ; then set -x; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi
if [ " $DISABLEIPV6 " = = "yes" ] ; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW = $( echo "\033[33m" )
RD = $( echo "\033[01;31m" )
BL = $( echo "\033[36m" )
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases
alias die = 'EXIT=$? LINE=$LINENO error_exit'
trap die ERR
silent( ) { " $@ " > /dev/null 2>& 1; }
function error_exit( ) {
trap - ERR
local reason = "Unknown failure occurred."